Pulse Audio output volume up/down don't work without playing a song
June 07,2012 08:08-S F

Status: Rejected Start date: June 07, 2012
Priority: Minor Due date:

Assignee: % Done: 0%
Category: plugins/pulse audio Estimated time: 0.00 hour
Target version:

Affects version: 3.2.1

Description

| use audacios 3.2.1 with Ubuntu 12.04, but thing this affect older versions too. Volume control is not active without playing song. It is
very annoying not knowing how loud you play the song. My neighbors are also opposed. This behavior is only with pulse audio
output, with setting "software volume control" the problem disappears, but this is not the case.

History

#1 - June 09, 2012 00:10 - John Lindgren

I'm not sure if this is even possible; the PulseAudio APl is weird. When | have some extra time | will try to see if it can be done.

#2 - June 09, 2012 00:11 - John Lindgren

- Category changed from core to plugins/pulse audio

#3 - July 04, 2012 20:21 - John Lindgren

- Status changed from New to Rejected

Based on my understanding of the PulseAudio API, it can't do what you want. For PulseAudio, volume is an attribute of the audio stream. When
there is no sound playing, there is no audio stream and hence no way to change the volume.
